using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.FO
{
    /// <summary>
    /// 岗位当班劳保用品清单
    /// </summary>
    [Description("岗位当班劳保用品清单")]
    public class T_FO_CURRENT_CLASS_RECORD_LABOUR_SUPPLY : MesEntityBase
    {
        /// <summary>
        /// 岗位当班工作记录ID
        /// </summary>
        [Description("岗位当班工作记录ID")]
        [DataFieldForeignKey("Nav_CurrentClassRecord", "Nav_LabourSupplies")]
        public Guid CURRENT_CLASS_RECORD_ID { get; set; }

        /// <summary>
        /// 劳保清单ID
        /// </summary>
        [Description("劳保用品ID")]
        [FormFieldTable]
        [FormFieldEdit]
        public Guid LABOUR_SUPPLY_ID { get; set; }

        /// <summary>
        /// 导航属性：劳保用品
        /// </summary>
        [Description("导航属性：劳保用品")]
        public T_FO_LABOUR_SUPPLY Nav_LabourSupply { get; set; }

        /// <summary>
        /// 导航属性：交接班记录
        /// </summary>
        [Description("导航属性：交接班记录")]
        public T_FO_CURRENT_CLASS_RECORD Nav_CurrentClassRecord { get; set; }
    }
}
